# Uses of Class
org.apache.lucene.search.ScoringRewrite

Packages that use ScoringRewrite
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of ScoringRewrite in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as ScoringRewrite
  Modifier and Type
  Field
  Description
  `static final ScoringRewrite<BooleanQuery.Builder>`
  ScoringRewrite.`SCORING_BOOLEAN_REWRITE`
  A rewrite method that first translates each term into `BooleanClause.Occur.SHOULD` clause in a BooleanQuery, and keeps the scores as computed by the query.